Subject: Re: [bitcoin-dev] Full node "tip" function

From: Sergio Demian Lerner <[email-masked]>
Date: Mon, 8 May 2017 18:00:10 -0300

A full node provides several services to the network:

1•Broadcasts blocks (public service)
2•Broadcasts transactions (public/private service)
3•Increases privacy by hiding other node’s IPs
4•Increases network security by protecting it from global DoS.
5•Provides information filtering services to SPV nodes.
6•Provides historic blockchain and state information to new nodes.

With your tip idea you only encourages 6, and by increasing the number of
nodes, also 3 and 4.
The services 1 and 2 cannot be encouraged by tips.

However, it's a good way to start.

There was a way to encourage 2 I described in 2013. (
https://bitcointalk.org/index.php?topic=385528.msg4155300#msg4155300)

I'll soon present a solution to encourage full nodes to store the
blockchain based on Proof-of-Unique-Blockchain-Storage (PoUBS), a feature
that RSK will add to incentivize Bitcoin and RSK full nodes. This solution
encourages 6.

On Thu, May 4, 2017 at 4:28 PM, Erik Aronesty via bitcoin-dev <
[email-masked]> wrote:

> This is actually LN’s killer use case - not buying coffees ;)
>>
>
> Yes, micro-payments for online network services is precisely what LN is
> best at.
>
> Establishing a channel with each peer is too expensive.   But using LN to
> micro-pay for high-quality peer services seems like it would aggregate very
> well.
>
> It would be great if this protocol was in-place and ready to go in or
> around the same time LN is ready.   It would incentivize full nodes even
> further than LN does, and allow the network to be strongly DDOS resistant.
>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>